=== debian/changelog ===
copyq (9.1.0-2build4) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:06:05 -0500

copyq (9.1.0-2build3) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 04 Feb 2025 14:09:31 -0600

copyq (9.1.0-2build2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 04 Dec 2024 18:57:21 -0600

copyq (9.1.0-2build1) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 04 Dec 2024 18:57:21 -0600

copyq (9.1.0-2) unstable; urgency=medium

  * d/rules: 
    - override {configure,install}-indep targets
    - Remove QT_SELECT
    - Build against Qt6
    - Remove --with sphinxdoc required only for arch-indep builds
    - override dh_auto_configure for -arch builds only
  * d/control:
    - Replace all Qt5 deps with Qt6 equivalent
    - add dh-sequence-sphinxdoc to B-D Indep

 -- Mohammed Bilal <rmb@debian.org>  Mon, 21 Oct 2024 05:52:56 +0000

copyq (9.1.0-1) unstable; urgency=medium

  * New Maintainer (Closes: #1065740).
  * New upstream version 9.1.0
  * d/changelog:
    - remove trailing whitespaces (lintian fix).
  * d/control:
    - Add myself as maintainer
    - Bump Standards-Version to 4.7.0 (no changes needed)
  * d/copyright:
    - update years
    - Update listing for debian/*
  * d/rules
    - Use a single dh command with overrides
    - Build with -DCMAKE_BUILD_TYPE=Release
  * Add source/binary lintian overrides for known false positives.

 -- Mohammed Bilal <rmb@debian.org>  Sun, 20 Oct 2024 16:09:49 +0000
