=== debian/control ===
Source: copyq
Section: utils
Priority: optional
Maintainer: Mohammed Bilal <rmb@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 extra-cmake-modules,
Build-Depends-Arch:
 libkf6notifications-dev,
 libkf6statusnotifieritem-dev,
 libwayland-dev,
 libxfixes-dev,
 libxtst-dev,
 qt6-base-private-dev,
 qt6-declarative-dev,
 qt6-svg-dev,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 qt6-wayland,
 qt6-wayland-dev,
 qt6-wayland-dev-tools,
Build-Depends-Indep:
 dh-sequence-sphinxdoc,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3:any,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://hluk.github.io/CopyQ/
Vcs-Browser: https://salsa.debian.org/debian/copyq
Vcs-Git: https://salsa.debian.org/debian/copyq.git

Package: copyq
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 copyq-plugins (= ${binary:Version}),
 libqt5svg5,
Suggests:
 copyq-doc,
Description: Advanced clipboard manager with editing and scripting features
 CopyQ monitors system clipboard and saves its content in customized tabs.
 Saved clipboard can be later copied and pasted directly into any application.
 .
 Items can be:
  * edited with internal editor or with preferred text editor,
  * moved to other tabs,
  * drag'n'dropped to applications,
  * marked with tag or a note,
  * passed to or changed by custom commands,
  * or simply removed.
 .
 Features:
  * Support for Linux, Windows and OS X 10.9+
  * Store text, HTML, images or any other custom formats
  * Quickly browse and filter items in clipboard history
  * Sort, create, edit, remove, copy/paste, drag'n'drop items in tabs
  * Add notes or tags to items
  * System-wide shortcuts with customizable commands
  * Paste items with shortcut or from tray or main window
  * Fully customizable appearance
  * Advanced command-line interface and scripting
  * Ignore clipboard copied from some windows or containing some text
  * Support for simple Vim-like editor and shortcuts
  * Many more features

Package: copyq-doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Section: doc
Multi-Arch: foreign
Description: Documentation and examples for CopyQ - HTML format
 CopyQ monitors system clipboard and saves its content in customized tabs.
 Saved clipboard can be later copied and pasted directly into any application.
 .
 This contains the documentation in HTML format.

Package: copyq-plugins
Architecture: any
Depends:
 copyq (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Plugins for CopyQ
 CopyQ monitors system clipboard and saves its content in customized tabs.
 Saved clipboard can be later copied and pasted directly into any application.
 .
 This package contains plugins that add various item types support and features
 to CopyQ, including:
  * Text with Highlighting
  * Images
  * Web Pages
  * Various Data
  * Notes
  * Encryption
  * FakeVim Editor
  * Synchronize Items to Disk
  * Item Tags
  * Pinned Items
