## copyq 10.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -141,11 +141,6 @@
         -Wno-padded
         -Wno-switch-enum
         )
-
-    # Disable Q_OBJECT macro warnings.
-    list(APPEND copyq_pedantic_flags
-        -Wno-unused-member-function
-        )
 endif()
 
 if(WITH_TESTS)
