=== debian/changelog ===
copyq (10.0.0-1ubuntu1) questing; urgency=medium

  * d/patches: Add upstream_fix-build-with-Qt-6.9.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Sep 2025 19:06:14 +0100

copyq (10.0.0-1) unstable; urgency=medium

  * New upstream version 10.0.0
  * d/ctrl : Bump SV to 4.7.2 (no changes)

 -- Mohammed Bilal <rmb@debian.org>  Fri, 04 Apr 2025 08:47:41 +0000
