=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: copyq
 Section: utils
 Priority: optional
-Maintainer: Mohammed Bilal <rmb@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mohammed Bilal <rmb@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
@@ -26,7 +27,7 @@
  python3-sphinx-rtd-theme,
  python3:any,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://hluk.github.io/CopyQ/
 Vcs-Browser: https://salsa.debian.org/debian/copyq
 Vcs-Git: https://salsa.debian.org/debian/copyq.git
