=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND =


%:
	dh $@

override_dh_auto_configure-indep:
	#pass

override_dh_auto_configure-arch:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=Release \
		-DWITH_QT6=ON

override_dh_auto_clean-indep:
	dh_auto_clean
	rm -rf _build/

override_dh_auto_build-indep:
	python3 -m sphinx docs _build/html

override_dh_auto_install-indep:
	#pass

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGES.md
