## copyq 11.0.0

=== debian/changelog ===
copyq (11.0.0-0.1~mx25+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 30 Aug 2025 11:23:12 -0700

copyq (9.1.0-2~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to Qt 5 builds.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 30 Oct 2024 17:42:10 -0700
