=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 override_dh_auto_configure-arch:
 	dh_auto_configure -- \
 		-DCMAKE_BUILD_TYPE=Release \
-		-DWITH_QT6=ON
+		-DWITH_QT6=OFF
 
 override_dh_auto_clean-indep:
 	dh_auto_clean
@@ -36,3 +36,8 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k CHANGES.md
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym
