## copyq 12.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -43,7 +43,7 @@
 
 set(CMAKE_AUTOMOC ON)
 
-OPTION(WITH_QT6 "Enable Qt 6" OFF)
+OPTION(WITH_QT6 "Enable Qt 6" ON)
 if (WITH_QT6)
     set(QT_DEFAULT_MAJOR_VERSION 6)
     find_package(Qt6Widgets 6.1.0 REQUIRED)
@@ -51,22 +51,8 @@
     add_definitions( -DQT_DEPRECATED_WARNINGS_SINCE=0x051500 )
 else()
     set(QT_DEFAULT_MAJOR_VERSION 5)
-    find_package(Qt5Widgets 5.8.0 REQUIRED)
+    find_package(Qt5Widgets 5.15.0 REQUIRED)
     set(copyq_qt Qt5)
-    if (Qt5Widgets_VERSION VERSION_LESS 5.15.0)
-        function(qt_wrap_ui outfiles)
-            qt5_wrap_ui("${outfiles}" ${ARGN})
-            set("${outfiles}" "${${outfiles}}" PARENT_SCOPE)
-        endfunction()
-        function(qt_add_resources outfiles)
-            qt5_add_resources("${outfiles}" ${ARGN})
-            set("${outfiles}" "${${outfiles}}" PARENT_SCOPE)
-        endfunction()
-        function(qt_add_translation _qm_files)
-            qt5_add_translation("${_qm_files}" ${ARGN})
-            set("${_qm_files}" "${${_qm_files}}" PARENT_SCOPE)
-        endfunction()
-    endif()
 endif()
 
 list(APPEND copyq_LIBRARIES ${copyq_qt}::Widgets)
@@ -95,7 +81,6 @@
             -Wlogical-op
             -Wnoexcept
             -Wstrict-null-sentinel
-            -Wno-unknown-pragmas
             )
     else()
         list(APPEND copyq_pedantic_flags
@@ -117,6 +102,7 @@
             -Wno-unknown-warning-option
             -Wno-used-but-marked-unused
             -Wno-weak-vtables
+            -Wno-switch-default
             -fcomment-block-commands=retval
             )
     endif()
