=== plugins/itemencrypted/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,6 @@
 set(copyq_plugin_itemencrypted_SOURCES
     ../../src/common/command.cpp
     ../../src/common/config.cpp
-    ../../src/common/log.cpp
     ../../src/common/mimetypes.cpp
     ../../src/common/shortcuts.cpp
     ../../src/common/textdata.cpp
@@ -12,4 +11,3 @@
     )
 
 copyq_add_plugin(itemencrypted)
-
