=== plugins/itemimage/CMakeLists.txt ===
set(copyq_plugin_itemimage_SOURCES
    ../../src/common/action.cpp
    ../../src/common/mimetypes.cpp
    ../../src/common/temporaryfile.cpp
    ../../src/item/itemeditor.cpp
    ../../src/item/serialize.cpp
    )

copyq_add_plugin(itemimage)
