=== plugins/itemtags/CMakeLists.txt ===
set(copyq_plugin_itemtags_SOURCES
    ../../src/item/itemwidgetwrapper.cpp
    ../../src/item/itemsaverwrapper.cpp
    ../../src/common/command.cpp
    ../../src/common/config.cpp
    ../../src/common/mimetypes.cpp
    ../../src/common/textdata.cpp
    ../../src/gui/iconselectbutton.cpp
    ../../src/gui/iconselectdialog.cpp
    ../../src/gui/iconwidget.cpp
    ../../src/gui/iconfont.cpp
    ../../src/gui/screen.cpp
    )

copyq_add_plugin(itemtags)
