=== debian/changelog ===
copyq (12.0.1-1) stable; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Thu, 02 Oct 2025 00:07:32 +0000

copyq (12.0.1) stable; urgency=medium

  * v12.0.1

 -- Lukas Holecek <hluk@email.cz>  Tue, 30 Sep 2025 12:25:47 +0000

copyq (12.0.0) stable; urgency=medium

  * v12.0.0

 -- Lukas Holecek <hluk@email.cz>  Mon, 29 Sep 2025 08:32:33 +0000

copyq (11.0.0) stable; urgency=medium

  * v11.0.0

 -- Lukas Holecek <hluk@email.cz>  Fri, 22 Aug 2025 07:57:05 +0000

copyq (10.0.0) stable; urgency=medium

  * v10.0.0

 -- Lukas Holecek <hluk@email.cz>  Fri, 04 Apr 2025 05:47:41 +0000

copyq (9.1.0) stable; urgency=medium

  * v9.1.0

 -- Lukas Holecek <hluk@email.cz>  Sun, 20 Oct 2024 05:35:08 +0000

copyq (9.0.0) stable; urgency=medium

  * v9.0.0

 -- Lukas Holecek <hluk@email.cz>  Sat, 22 Jun 2024 07:58:49 +0000

copyq (8.0.0) stable; urgency=medium

  * v8.0.0

 -- Lukas Holecek <hluk@email.cz>  Thu, 14 Mar 2024 10:37:45 +0000

copyq (7.1.0) stable; urgency=medium

  * v7.1.0

 -- Lukas Holecek <hluk@email.cz>  Sun, 03 Sep 2023 07:54:29 +0000

copyq (7.0.0) stable; urgency=medium

  * v7.0.0

 -- Lukas Holecek <hluk@email.cz>  Sun, 02 Apr 2023 07:14:49 +0000

copyq (6.4.0) stable; urgency=medium

  * v6.4.0

 -- Lukas Holecek <hluk@email.cz>  Thu, 19 Jan 2023 09:22:52 +0000

copyq (6.3.2) stable; urgency=medium

  * v6.3.2

 -- Lukas Holecek <hluk@email.cz>  Mon, 26 Sep 2022 14:47:42 +0000

copyq (6.3.1) stable; urgency=medium

  * v6.3.1

 -- Lukas Holecek <hluk@email.cz>  Sun, 25 Sep 2022 05:58:51 +0000

copyq (6.3.0) stable; urgency=medium

  * v6.3.0

 -- Lukas Holecek <hluk@email.cz>  Sun, 18 Sep 2022 07:50:14 +0000

copyq (6.2.0) stable; urgency=medium

  * v6.2.0

 -- Lukas Holecek <hluk@email.cz>  Wed, 06 Jul 2022 08:04:42 +0000

copyq (6.1.0) stable; urgency=medium

  * v6.1.0

 -- Lukas Holecek <hluk@email.cz>  Sat, 05 Mar 2022 10:36:33 +0000

copyq (6.0.1) stable; urgency=medium

  * v6.0.1

 -- Lukas Holecek <hluk@email.cz>  Sun, 02 Jan 2022 09:43:55 +0000

copyq (6.0.0) stable; urgency=medium

  * v6.0.0

 -- Lukas Holecek <hluk@email.cz>  Sat, 01 Jan 2022 15:01:30 +0000

copyq (5.0.0) stable; urgency=medium

  * v5.0.0

 -- Lukas Holecek <hluk@email.cz>  Thu, 30 Sep 2021 10:41:14 +0000

copyq (4.1.0) stable; urgency=medium

  * v4.1.0

 -- Lukas Holecek <hluk@email.cz>  Fri, 23 Apr 2021 13:33:30 +0000

copyq (4.0.0) stable; urgency=medium

  * v4.0.0

 -- Lukas Holecek <hluk@email.cz>  Sun, 11 Apr 2021 14:19:54 +0000

copyq (3.13.0) stable; urgency=medium

  * v3.13.0

 -- Lukas Holecek <hluk@email.cz>  Fri, 16 Oct 2020 13:21:52 +0000

copyq (3.12.0) stable; urgency=medium

  * v3.12.0

 -- Lukas Holecek <hluk@email.cz>  Sun, 12 Jul 2020 09:21:18 +0000

copyq (3.11.1) stable; urgency=medium

  * v3.11.1

 -- Lukas Holecek <hluk@email.cz>  Fri, 08 May 2020 08:12:18 +0000

copyq (3.11.0) stable; urgency=medium

  * v3.11.0

 -- Lukas Holecek <hluk@email.cz>  Fri, 01 May 2020 06:24:59 +0000

copyq (3.10.0) stable; urgency=medium                                                                              
                                                                                                                      
  * v3.10.0
                                                                                                                      
 -- Lukas Holecek <hluk@email.cz>  Sun, 02 Feb 2020 12:59:11 +0000

copyq (3.9.3) stable; urgency=medium
                           
  * v3.9.3
               
 -- Lukas Holecek <hluk@email.cz>  Sat, 16 Nov 2019 08:41:20 +0000

copyq (3.9.2) stable; urgency=medium         
                                                 
  * v3.9.2
                                
 -- Lukas Holecek <hluk@email.cz>  Sun, 25 Aug 2019 08:14:00 +0000

copyq (3.9.1) stable; urgency=medium         
                                                 
  * v3.9.1
                                
 -- Lukas Holecek <hluk@email.cz>  Sun, 18 Aug 2019 09:13:44 +0000

copyq (3.9.0) stable; urgency=medium         
                                                 
  * v3.9.0
                                
 -- Lukas Holecek <hluk@email.cz>  Thu, 27 Jun 2019 08:41:16 +0000

copyq (3.8.0) stable; urgency=medium

  * v3.8.0

 -- Lukas Holecek <hluk@email.cz>  Wed, 10 Apr 2019 15:49:00 +0000

copyq (3.7.3) stable; urgency=medium

  * v3.7.3

 -- Lukas Holecek <hluk@email.cz>  Sat, 02 Feb 2019 12:44:34 +0000

copyq (3.7.2) stable; urgency=medium

  * v3.7.2

 -- Lukas Holecek <hluk@email.cz>  Mon, 31 Dec 2018 13:55:20 +0000

copyq (3.7.1) stable; urgency=medium

  * v3.7.1

 -- Lukas Holecek <hluk@email.cz>  Sun, 18 Nov 2018 07:19:28 +0000

copyq (3.7.0) stable; urgency=medium

  * v3.7.0

 -- Lukas Holecek <hluk@email.cz>  Sun, 04 Nov 2018 09:02:03 +0000

copyq (3.6.1) stable; urgency=medium

  * v3.6.1

 -- Lukas Holecek <hluk@email.cz>  Tue, 25 Sep 2018 18:34:43 +0000

copyq (3.6.0) stable; urgency=medium

  * v3.6.0

 -- Lukas Holecek <hluk@email.cz>  Sun, 23 Sep 2018 09:44:15 +0000

copyq (3.5.0) stable; urgency=medium

  * v3.5.0

 -- Lukas Holecek <hluk@email.cz>  Sun, 17 Jun 2018 09:58:21 +0000

copyq (3.4.0) stable; urgency=medium

  * v3.4.0

 -- Lukas Holecek <hluk@email.cz>  Sun, 29 Apr 2018 13:00:00 +0000

copyq (3.3.1) xenial; urgency=medium

  * v3.3.1

 -- Lukas Holecek <hluk@email.cz>  Fri, 06 Apr 2018 12:43:35 +0000

copyq (3.3.0) stable; urgency=medium

  * v3.3.0

 -- Lukas Holecek <hluk@email.cz>  Sat, 17 Mar 2018 20:09:00 +0000

copyq (3.2.0) stable; urgency=medium

  * v3.2.0

 -- Lukas Holecek <hluk@email.cz>  Sun, 18 Feb 2018 06:43:09 +0000

copyq (3.1.2) stable; urgency=medium

  * v3.1.2

 -- Lukas Holecek <hluk@email.cz>  Sat, 21 Oct 2017 09:25:00 +0200

copyq (3.1.1) stable; urgency=medium

  * v3.1.1

 -- Lukas Holecek <hluk@email.cz>  Thu, 28 Sep 2017 19:15:00 +0200

copyq (3.1.0) stable; urgency=medium

  * v3.1.0

 -- Lukas Holecek <hluk@email.cz>  Thu, 28 Sep 2017 09:34:00 +0200


