=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: copyq
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mohammed Bilal <rmb@debian.org>
+Maintainer: Mohammed Bilal <rmb@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
