=== debian/watch ===
Version: 5

Template: Github
Owner: hluk
Project: CopyQ
