=== debian/changelog ===
copyq (13.0.0-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Correct dependency to the Qt 6 svg library, libqt6svg6.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 10 Nov 2025 18:09:35 -0800

copyq (13.0.0-1) unstable; urgency=medium

  * New upstream version 13.0.0
  * d/control: remove 'Rules-Require-Root: no'
  * d/control: Add libkf6guiaddons-dev to B-D-A

 -- Mohammed Bilal <rmb@debian.org>  Mon, 10 Nov 2025 16:17:53 +0000

copyq (12.0.1-1) unstable; urgency=medium

  * New upstream version 12.0.1

 -- Mohammed Bilal <rmb@debian.org>  Mon, 13 Oct 2025 15:14:58 +0000

copyq (11.0.0-1) unstable; urgency=medium

  * New upstream version 11.0.0
  * d/watch: switch to version 5

 -- Mohammed Bilal <rmb@debian.org>  Fri, 12 Sep 2025 14:53:33 +0000
