=== debian/control ===
--- 
+++ 
@@ -1,31 +1,27 @@
 Source: copyq
 Section: utils
 Priority: optional
-Maintainer: Mohammed Bilal <rmb@debian.org>
-Build-Depends:
- cmake,
- debhelper-compat (= 13),
- extra-cmake-modules,
-Build-Depends-Arch:
- libkf6notifications-dev,
- libkf6statusnotifieritem-dev,
- libwayland-dev,
- libxfixes-dev,
- libxtst-dev,
- qt6-base-private-dev,
- qt6-declarative-dev,
- qt6-svg-dev,
- qt6-tools-dev,
- qt6-tools-dev-tools,
- qt6-wayland,
- qt6-wayland-dev,
- qt6-wayland-dev-tools,
-Build-Depends-Indep:
- dh-sequence-sphinxdoc,
- python3-sphinx,
- python3-sphinx-rtd-theme,
- python3:any,
-Rules-Requires-Root: no
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Mohammed Bilal <rmb@debian.org>
+Build-Depends: debhelper-compat (= 13), cmake, extra-cmake-modules
+Build-Depends-Arch: libkf6guiaddons-dev,
+                    libkf6notifications-dev,
+                    libkf6statusnotifieritem-dev,
+                    libwayland-dev,
+                    libxfixes-dev,
+                    libxtst-dev,
+                    qt6-base-private-dev,
+                    qt6-declarative-dev,
+                    qt6-svg-dev,
+                    qt6-tools-dev,
+                    qt6-tools-dev-tools,
+                    qt6-wayland,
+                    qt6-wayland-dev,
+                    qt6-wayland-dev-tools
+Build-Depends-Indep: dh-sequence-sphinxdoc,
+                     python3-sphinx,
+                     python3-sphinx-rtd-theme,
+                     python3:any
 Standards-Version: 4.7.2
 Homepage: https://hluk.github.io/CopyQ/
 Vcs-Browser: https://salsa.debian.org/debian/copyq
@@ -33,14 +29,9 @@
 
 Package: copyq
 Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
-Recommends:
- copyq-plugins (= ${binary:Version}),
- libqt5svg5,
-Suggests:
- copyq-doc,
+Depends: ${misc:Depends}, ${shlibs:Depends},
+         copyq-plugins (= ${binary:Version}), libqt6svg6
+Suggests: copyq-doc
 Description: Advanced clipboard manager with editing and scripting features
  CopyQ monitors system clipboard and saves its content in customized tabs.
  Saved clipboard can be later copied and pasted directly into any application.
@@ -69,11 +60,8 @@
 
 Package: copyq-doc
 Architecture: all
-Depends:
- ${misc:Depends},
- ${sphinxdoc:Depends},
-Built-Using:
- ${sphinxdoc:Built-Using},
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
 Section: doc
 Multi-Arch: foreign
 Description: Documentation and examples for CopyQ - HTML format
@@ -84,10 +72,7 @@
 
 Package: copyq-plugins
 Architecture: any
-Depends:
- copyq (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
+Depends: copyq (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Plugins for CopyQ
  CopyQ monitors system clipboard and saves its content in customized tabs.
  Saved clipboard can be later copied and pasted directly into any application.
