=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 override_dh_auto_configure-arch:
 	dh_auto_configure -- \
 		-DCMAKE_BUILD_TYPE=Release \
-		-DWITH_QT6=OFF
+		-DWITH_QT6=ON
 
 override_dh_auto_clean-indep:
 	dh_auto_clean
@@ -39,5 +39,5 @@
 
 # No dbgsym packages:
 override_dh_strip:
-	@echo "not building dbgsym packages for MX Linux"
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
 	dh_strip --no-automatic-dbgsym
